diff --git a/doc/builtins.0 b/doc/builtins.0
index 823d7f55..e7dd3c8d 100644
--- a/doc/builtins.0
+++ b/doc/builtins.0
@@ -1203,107 +1202,109 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
                      null.
               2 arguments
                      If the first argument is !!, the expression is true if and
-                     only if the second argument is null.  If the first  argu-
-                     ment  is  one  of  the unary conditional operators listed
-                     above under CCOONNDDIITTIIOONNAALL EEXXPPRREESSSSIIOONNSS,  the  expression  is
+                     only  if the second argument is null.  If the first argu-
+                     ment is one of the  unary  conditional  operators  listed
+                     above  under  CCOONNDDIITTIIOONNAALL  EEXXPPRREESSSSIIOONNSS, the expression is
                      true if the unary test is true.  If the first argument is
                      not a valid unary conditional operator, the expression is
                      false.
               3 arguments
-                     If  the  second argument is one of the binary conditional
+                     If the second argument is one of the  binary  conditional
                      operators listed above under CCOONNDDIITTIIOONNAALL EEXXPPRREESSSSIIOONNSS, the
                      result of the expression is the result of the binary test
-                     using the first and third arguments as operands.  If  the
-                     first  argument  is  !!,  the value is the negation of the
-                     two-argument test using the second and  third  arguments.
+                     using  the first and third arguments as operands.  If the
+                     first argument is !!, the value is  the  negation  of  the
+                     two-argument  test  using the second and third arguments.
                      If the first argument is exactly (( and the third argument
-                     is exactly )), the result is the one-argument test of  the
-                     second  argument.   Otherwise,  the  expression is false.
-                     The --aa and --oo operators are considered  binary  operators
+                     is  exactly )), the result is the one-argument test of the
+                     second argument.  Otherwise,  the  expression  is  false.
+                     The  --aa  and --oo operators are considered binary operators
                      in this case.
               4 arguments
                      If the first argument is !!, the result is the negation of
-                     the three-argument expression composed of  the  remaining
+                     the  three-argument  expression composed of the remaining
                      arguments.  Otherwise, the expression is parsed and eval-
-                     uated according to  precedence  using  the  rules  listed
+                     uated  according  to  precedence  using  the rules listed
                      above.
               5 or more arguments
-                     The  expression  is  parsed  and  evaluated  according to
+                     The expression  is  parsed  and  evaluated  according  to
                      precedence using the rules listed above.
 
-       ttiimmeess  Print the accumulated user and system times for  the  shell  and
+       ttiimmeess  Print  the  accumulated  user and system times for the shell and
               for processes run from the shell.  The return status is 0.
 
-       ttrraapp [--llpp] [_a_r_g] [_s_i_g_s_p_e_c ...]
-              The  command  _a_r_g  is  to  be  read  and executed when the shell
-              receives signal(s) _s_i_g_s_p_e_c.  If _a_r_g is absent or --,  all  speci-
-              fied signals are reset to their original values (the values they
-              had upon entrance to the shell).  If _a_r_g is the null string  the
-              signal  specified by each _s_i_g_s_p_e_c is ignored by the shell and by
-              the commands it invokes.  If _a_r_g is not present and --pp has  been
-              supplied,  then  the  trap commands associated with each _s_i_g_s_p_e_c
-              are displayed.  If no arguments are supplied or if  only  --pp  is
-              given,  ttrraapp  prints  the  list of commands associated with each
-              signal number.  The --ll option causes the shell to print  a  list
-              of  signal  names and their corresponding numbers.  Each _s_i_g_s_p_e_c
-              is either a signal name defined in <_s_i_g_n_a_l_._h>, or a signal  num-
-              ber.   If  a  _s_i_g_s_p_e_c is EEXXIITT (0) the command _a_r_g is executed on
-              exit from the shell.  If a _s_i_g_s_p_e_c is DDEEBBUUGG, the command _a_r_g  is
-              executed before every _s_i_m_p_l_e _c_o_m_m_a_n_d, _f_o_r command, _c_a_s_e command,
-              _s_e_l_e_c_t command, every arithmetic _f_o_r  command,  and  before  the
-              first  command  executes  in a shell function (see SSHHEELLLL GGRRAAMMMMAARR
-              above).  Refer to the description of the eexxttgglloobb option  to  the
-              sshhoopptt builtin for details of its effect on the DDEEBBUUGG trap.  If a
-              _s_i_g_s_p_e_c is EERRRR, the command _a_r_g is executed  whenever  a  simple
-              command  has  a  non-zero  exit status, subject to the following
-              conditions.  The EERRRR trap is not executed if the failed  command
-              is  part  of  the  command list immediately following a wwhhiillee or
-              uunnttiill keyword, part of the test in an _i_f statement, part of a &&&&
-              or  ||||  list, or if the command's return value is being inverted
-              via !!.  These are the same  conditions  obeyed  by  the  eerrrreexxiitt
-              option.   If  a  _s_i_g_s_p_e_c  is RREETTUURRNN, the command _a_r_g is executed
-              each time a shell function or a script executed with  the  ..  or
-              ssoouurrccee  builtins finishes executing.  Signals ignored upon entry
-              to the shell cannot be trapped or reset.   Trapped  signals  are
-              reset  to  their  original  values in a child process when it is
-              created.  The return status is false if any _s_i_g_s_p_e_c is  invalid;
-              otherwise ttrraapp returns true.
+       ttrraapp [--llpp] [[_a_r_g] _s_i_g_s_p_e_c ...]
+              The command _a_r_g is to  be  read  and  executed  when  the  shell
+              receives  signal(s)  _s_i_g_s_p_e_c.   If _a_r_g is absent (and there is a
+              single _s_i_g_s_p_e_c) or --, each specified  signal  is  reset  to  its
+              original  disposition  (the  value  it  had upon entrance to the
+              shell).  If _a_r_g is the null string the signal specified by  each
+              _s_i_g_s_p_e_c  is ignored by the shell and by the commands it invokes.
+              If _a_r_g is not present and --pp has been supplied,  then  the  trap
+              commands  associated  with  each  _s_i_g_s_p_e_c  are displayed.  If no
+              arguments are supplied or if only --pp is given, ttrraapp  prints  the
+              list  of  commands  associated  with each signal.  The --ll option
+              causes the shell to print a list of signal names and their  cor-
+              responding  numbers.   Each  _s_i_g_s_p_e_c  is  either  a  signal name
+              defined in <_s_i_g_n_a_l_._h>, or a signal  number.   Signal  names  are
+              case  insensitive  and the SIG prefix is optional.  If a _s_i_g_s_p_e_c
+              is EEXXIITT (0) the command _a_r_g is executed on exit from the  shell.
+              If  a _s_i_g_s_p_e_c is DDEEBBUUGG, the command _a_r_g is executed before every
+              _s_i_m_p_l_e _c_o_m_m_a_n_d, _f_o_r command, _c_a_s_e command, _s_e_l_e_c_t command, every
+              arithmetic _f_o_r command, and before the first command executes in
+              a shell function  (see  SSHHEELLLL  GGRRAAMMMMAARR  above).   Refer  to  the
+              description  of  the  eexxttgglloobb  option  to  the sshhoopptt builtin for
+              details of its effect on the DDEEBBUUGG trap.  If a _s_i_g_s_p_e_c  is  EERRRR,
+              the  command  _a_r_g  is  executed  whenever a simple command has a
+              non-zero exit status, subject to the following conditions.   The
+              EERRRR  trap  is  not executed if the failed command is part of the
+              command list immediately following a  wwhhiillee  or  uunnttiill  keyword,
+              part of the test in an _i_f statement, part of a &&&& or |||| list, or
+              if the command's return value is being inverted  via  !!.   These
+              are  the  same  conditions  obeyed  by the eerrrreexxiitt option.  If a
+              _s_i_g_s_p_e_c is RREETTUURRNN, the command _a_r_g is executed each time a shell
+              function or a script executed with the .. or ssoouurrccee builtins fin-
+              ishes executing.  Signals ignored upon entry to the shell cannot
+              be  trapped or reset.  Trapped signals are reset to their origi-
+              nal values in a child process when it is  created.   The  return
+              status  is  false  if  any  _s_i_g_s_p_e_c  is  invalid; otherwise ttrraapp
+              returns true.
 
        ttyyppee [--aaffttppPP] _n_a_m_e [_n_a_m_e ...]
-              With  no options, indicate how each _n_a_m_e would be interpreted if
+              With no options, indicate how each _n_a_m_e would be interpreted  if
               used as a command name.  If the --tt option is used, ttyyppee prints a
-              string  which  is  one  of _a_l_i_a_s, _k_e_y_w_o_r_d, _f_u_n_c_t_i_o_n, _b_u_i_l_t_i_n, or
-              _f_i_l_e if  _n_a_m_e  is  an  alias,  shell  reserved  word,  function,
-              builtin,  or disk file, respectively.  If the _n_a_m_e is not found,
-              then nothing  is  printed,  and  an  exit  status  of  false  is
-              returned.   If  the  --pp  option is used, ttyyppee either returns the
+              string which is one of _a_l_i_a_s,  _k_e_y_w_o_r_d,  _f_u_n_c_t_i_o_n,  _b_u_i_l_t_i_n,  or
+              _f_i_l_e  if  _n_a_m_e  is  an  alias,  shell  reserved  word, function,
+              builtin, or disk file, respectively.  If the _n_a_m_e is not  found,
+              then  nothing  is  printed,  and  an  exit  status  of  false is
+              returned.  If the --pp option is used,  ttyyppee  either  returns  the
               name of the disk file that would be executed if _n_a_m_e were speci-
               fied as a command name, or nothing if ``type -t name'' would not
-              return _f_i_l_e.  The --PP option forces a PPAATTHH search for each  _n_a_m_e,
+              return  _f_i_l_e.  The --PP option forces a PPAATTHH search for each _n_a_m_e,
               even if ``type -t name'' would not return _f_i_l_e.  If a command is
-              hashed, --pp and --PP print the hashed value,  not  necessarily  the
+              hashed,  --pp  and  --PP print the hashed value, not necessarily the
               file that appears first in PPAATTHH.  If the --aa option is used, ttyyppee
-              prints all of the places that contain an executable named  _n_a_m_e.
-              This  includes  aliases  and  functions,  if  and only if the --pp
-              option is not also used.  The table of hashed  commands  is  not
-              consulted  when  using --aa.  The --ff option suppresses shell func-
-              tion lookup, as with the ccoommmmaanndd builtin.  ttyyppee returns true  if
+              prints  all of the places that contain an executable named _n_a_m_e.
+              This includes aliases and functions,  if  and  only  if  the  --pp
+              option  is  not  also used.  The table of hashed commands is not
+              consulted when using --aa.  The --ff option suppresses  shell  func-
+              tion  lookup, as with the ccoommmmaanndd builtin.  ttyyppee returns true if
               any of the arguments are found, false if none are found.
 
        uulliimmiitt [--SSHHaaccddffllmmnnppssttuuvv [_l_i_m_i_t]]
-              Provides  control  over the resources available to the shell and
-              to processes started by it, on systems that allow such  control.
+              Provides control over the resources available to the  shell  and
+              to  processes started by it, on systems that allow such control.
               The --HH and --SS options specify that the hard or soft limit is set
-              for the given resource.  A hard limit cannot be  increased  once
-              it  is set; a soft limit may be increased up to the value of the
-              hard limit.  If neither --HH nor --SS is specified,  both  the  soft
-              and  hard limits are set.  The value of _l_i_m_i_t can be a number in
+              for  the  given resource.  A hard limit cannot be increased once
+              it is set; a soft limit may be increased up to the value of  the
+              hard  limit.   If  neither --HH nor --SS is specified, both the soft
+              and hard limits are set.  The value of _l_i_m_i_t can be a number  in
               the unit specified for the resource or one of the special values
-              hhaarrdd,  ssoofftt,  or  uunnlliimmiitteedd,  which  stand  for the current hard
-              limit, the current soft limit, and no limit,  respectively.   If
-              _l_i_m_i_t  is  omitted,  the  current value of the soft limit of the
-              resource is printed, unless the --HH option is given.   When  more
-              than  one  resource  is  specified,  the limit name and unit are
+              hhaarrdd, ssoofftt, or uunnlliimmiitteedd,  which  stand  for  the  current  hard
+              limit,  the  current soft limit, and no limit, respectively.  If
+              _l_i_m_i_t is omitted, the current value of the  soft  limit  of  the
+              resource  is  printed, unless the --HH option is given.  When more
+              than one resource is specified, the  limit  name  and  unit  are
               printed before the value.  Other options are interpreted as fol-
               lows:
               --aa     All current limits are reported
@@ -1317,56 +1318,56 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
               --pp     The pipe size in 512-byte blocks (this may not be set)
               --ss     The maximum stack size
               --tt     The maximum amount of cpu time in seconds
-              --uu     The maximum number of processes  available  to  a  single
+              --uu     The  maximum  number  of  processes available to a single
                      user
-              --vv     The  maximum  amount  of  virtual memory available to the
+              --vv     The maximum amount of virtual  memory  available  to  the
                      shell
 
               If _l_i_m_i_t is given, it is the new value of the specified resource
               (the --aa option is display only).  If no option is given, then --ff
-              is assumed.  Values are in 1024-byte increments, except for  --tt,
-              which  is  in seconds, --pp, which is in units of 512-byte blocks,
-              and --nn and --uu, which are unscaled values.  The return status  is
-              0  unless an invalid option or argument is supplied, or an error
+              is  assumed.  Values are in 1024-byte increments, except for --tt,
+              which is in seconds, --pp, which is in units of  512-byte  blocks,
+              and  --nn and --uu, which are unscaled values.  The return status is
+              0 unless an invalid option or argument is supplied, or an  error
               occurs while setting a new limit.
 
        uummaasskk [--pp] [--SS] [_m_o_d_e]
               The user file-creation mask is set to _m_o_d_e.  If _m_o_d_e begins with
-              a  digit,  it is interpreted as an octal number; otherwise it is
-              interpreted as a symbolic mode mask similar to that accepted  by
-              _c_h_m_o_d(1).   If _m_o_d_e is omitted, the current value of the mask is
-              printed.  The --SS option causes the mask to be  printed  in  sym-
-              bolic  form;  the  default output is an octal number.  If the --pp
+              a digit, it is interpreted as an octal number; otherwise  it  is
+              interpreted  as a symbolic mode mask similar to that accepted by
+              _c_h_m_o_d(1).  If _m_o_d_e is omitted, the current value of the mask  is
+              printed.   The  --SS  option causes the mask to be printed in sym-
+              bolic form; the default output is an octal number.   If  the  --pp
               option is supplied, and _m_o_d_e is omitted, the output is in a form
               that may be reused as input.  The return status is 0 if the mode
-              was successfully changed or if no _m_o_d_e  argument  was  supplied,
+              was  successfully  changed  or if no _m_o_d_e argument was supplied,
               and false otherwise.
 
        uunnaalliiaass [-aa] [_n_a_m_e ...]
-              Remove  each  _n_a_m_e  from  the list of defined aliases.  If --aa is
-              supplied, all alias definitions are removed.  The  return  value
+              Remove each _n_a_m_e from the list of defined  aliases.   If  --aa  is
+              supplied,  all  alias definitions are removed.  The return value
               is true unless a supplied _n_a_m_e is not a defined alias.
 
        uunnsseett [-ffvv] [_n_a_m_e ...]
-              For  each  _n_a_m_e,  remove the corresponding variable or function.
+              For each _n_a_m_e, remove the corresponding  variable  or  function.
               If no options are supplied, or the --vv option is given, each _n_a_m_e
-              refers  to  a  shell  variable.   Read-only variables may not be
+              refers to a shell variable.   Read-only  variables  may  not  be
               unset.  If --ff is specifed, each _n_a_m_e refers to a shell function,
-              and  the function definition is removed.  Each unset variable or
-              function is removed from the environment  passed  to  subsequent
+              and the function definition is removed.  Each unset variable  or
+              function  is  removed  from the environment passed to subsequent
               commands.  If any of RRAANNDDOOMM, SSEECCOONNDDSS, LLIINNEENNOO, HHIISSTTCCMMDD, FFUUNNCCNNAAMMEE,
-              GGRROOUUPPSS, or DDIIRRSSTTAACCKK are unset, they lose their  special  proper-
-              ties,  even  if they are subsequently reset.  The exit status is
+              GGRROOUUPPSS,  or  DDIIRRSSTTAACCKK are unset, they lose their special proper-
+              ties, even if they are subsequently reset.  The exit  status  is
               true unless a _n_a_m_e is readonly.
 
        wwaaiitt [_n]
-              Wait for the specified process and return its  termination  sta-
-              tus.   _n  may  be  a process ID or a job specification; if a job
-              spec is given, all processes in that job's pipeline  are  waited
-              for.   If  _n  is not given, all currently active child processes
+              Wait  for  the specified process and return its termination sta-
+              tus.  _n may be a process ID or a job  specification;  if  a  job
+              spec  is  given, all processes in that job's pipeline are waited
+              for.  If _n is not given, all currently  active  child  processes
               are waited for, and the return status is zero.  If _n specifies a
-              non-existent  process  or job, the return status is 127.  Other-
-              wise, the return status is the exit status of the  last  process
+              non-existent process or job, the return status is  127.   Other-
+              wise,  the  return status is the exit status of the last process
               or job waited for.
 
 SSEEEE AALLSSOO
